const system=require("../../system");
const Dao=require("../dao.base");
class MachineDao extends Dao{
  constructor(){
    super(Dao.getModelName(MachineDao));
  }
  async findOne(paramappid,t){
    var app=  await this.model.findOne({where:{appid:paramappid}},{transaction:t});
    return app;
  }

}
module.exports=MachineDao;
